<?php
	header("Location: https://{$_SERVER['HTTP_HOST']}/op5config/license/");
	exit;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-type" content="application/xhtml+xml; charset=iso-8859-2" />
	<meta http-equiv="cache-control" content="no-cache" />
	<title> Welcome to op5 Portal </title>
	<link type="text/css" rel="stylesheet" href="portal/css/common.css" />
	<link type="text/css" rel="stylesheet" href="portal/css/ids.css" />
	<link type="text/css" rel="stylesheet" href="portal/css/classes.css" />
	<script type="text/javascript" src="portal/js/load_css.js"></script>
	<script type="text/javascript" src="portal/js/script.js"></script>
	<script type="text/javascript" src="portal/js/ajax.js"></script>
	<script type="text/javascript" src="portal/js/help.js"></script>
	<script type="text/javascript" src="portal/js/help_texts.js"></script>
	<link type="image/ico" rel="icon" href="portal/images/op5.ico" />
</head>

<body>
	<div id="help"></div>
	<?php
	$license_preview = false;
    if(isset($_POST['timestamp']))
        $_POST['timestamp'] = (int) $_POST['timestamp'];

	if (isset($_POST['action']) && $_POST['action'] == 'upload')
	{
		$timestamp = time();
		if (@move_uploaded_file($_FILES['license_file']['tmp_name'], '/tmp/op5license-tmp-' . $timestamp))
			$license_preview = true;
		else
			$msg['error'] = 'Could not move uploaded file. This should not happen, please try again.';
	}
	elseif (isset($_POST['action']) && $_POST['action'] == 'install' && isset($_POST['timestamp']))
	{
		if (!is_file('/tmp/op5license-tmp-' . $_POST['timestamp']))
			$msg['error'] = 'Could not find the uploaded file. Aborting.';

		exec('/opt/op5sys/bin/op5license-install /tmp/op5license-tmp-' . $_POST['timestamp'],
			$output, $status);

		if ($status)
			$msg['error'] = 'License installation failed! ' . $output[0];
	}

	if (is_file('/opt/op5sys/lib/php/op5license.php'))
		include 'license_bar.php';
	else
		$products = array();

	if ($license_preview)
	{
		$license = new op5license('/tmp/op5license-tmp-' . $timestamp);
		foreach ($products as $product)
			$license->register_product($product);
		$license->check(FALSE);
	}

	$license_errors = $license->get_errors();
	$license_customer = $license->get_customer_info();
	?>
	<div id="container">
		<div id="logo">
			<h1>op5 Portal</h1>
		</div>

		<div id="top-menu">
			<ul>
				<li><a href="/">Start</a></li>
				<?php $rpmstatus = 1;
				@system('rpm -q op5config --quiet', $rpmstatus);
				if ($rpmstatus == 0): ?>
				<li><a href="/op5config">Configure System</a></li>
				<?php endif; ?>
				<li><a href="/license.php" class="selected">License Information</a></li>
				<li><a href="/about.php">About</a></li>
				<li><a href="/feedback.php">Support</a></li>
				<li><a href="#" onclick="window.open('http://www.op5.com')">op5.com</a></li>
			</ul>
		</div>

		<div id="navbar">
			<?php include 'updates_bar.php'; ?>
		</div>

		<div id="content">
			<?php if ($license_preview): ?>
			<h1>Preview your license information before installing</h1>
			<p>Below you will find a preview of the license file you are trying to install. Please
			review the license file information. If there are no errors and your license information
			appears correct, go to the section "Install license" at the bottom of this page and click
			the <q>Install</q> button.</p>
			<p>If there are any problems with your license file, please contact op5 Support.</p>
			<?php endif; ?>

			<?php if (!$license->get_license_file() || !empty($license_errors['General'])): ?>
				<h1>License error</h1>
				<?php if (!$license->license_file_exists()): ?>
				<p><strong>There is no license file installed on this system!</strong></p>
				<?php elseif (count($license_errors['General']) > 0): ?>
				<p><strong>The following problems were encountered when loading your license file:</strong></p>
				<ul><?php
					foreach ($license_errors['General'] as $message)
						echo "<li>{$message}</li>";
				?></ul>
				<?php endif; ?>
				<p>If you have purchased op5 products but have not received a license file, or if
				there are any problems with your installed license file, please contact op5 Support.</p>
				<p>If you need to purchase a new license or upgrade an existing one, please contact
				op5 Sales.<br />
				Purchasing a license will give you the following benefits:</p><ul>
					<li>Professional support, email, telephone and access to support portal</li>
					<li>Automatic updates of new releases</li>
					<li>Access to customized development</li>
					<li>Professional training</li>
					<li>and much more</li>
				</ul>
				<form action="https://shop.op5.com/" method="get">
					<p>
						<input type="submit" value="Buy now" />
					</p>
				</form>
			<?php else: ?>
				<h1>About your op5 Software license</h1>
				<p><strong>This software is licensed to:</strong><br />
				Name: <?php echo utf8_decode($license_customer['CustomerName']); ?><br />
				E-mail: <?php echo $license_customer['CustomerEmail']; ?><br />
				ID: <?php
				echo $license_customer['CustomerNumber'];
				if (isset($license_customer['LicenseKeyNumber']))
					echo '<br />License key number: ' . $license_customer['LicenseKeyNumber'];
				?><br />
				License issue date: <?php echo $license_customer['LicenseIssueDate']; ?></p>
				<?php if (count($products)): ?>
					<?php if ($license_preview): ?>
					<p>The license file you are about to install contains licenses for the following products:</p>
					<?php else: ?>
					<p><strong>You have licenses installed for the following products:</strong></p>
					<?php endif; ?>
					<ul><?php
						$products = $license->get_products();
						foreach ($products as $product)
						{
							echo "<li><strong>op5 {$product['name']}</strong><br />";
							echo "License type: {$product['license_type_str']}<br />";
							if (!$license_preview)
							{
								if ($product['current_usage'] > 0)
									echo "Current usage: {$product['current_usage']} hosts<br />";
								else
									echo 'Current usage: unknown<br />';
							}
							if ($product['license_type'] == OP5LICENSE_TYPE_REGULAR)
								echo "Licensed for: {$product['max_usage']} hosts <br />";
							elseif ($product['license_type'] == OP5LICENSE_TYPE_EVALUATION)
								echo '<strong>This product is licensed for evaluation purposes only!</strong><br />';
							elseif ($product['license_type'] == OP5LICENSE_TYPE_UNLICENSED)
								echo '<strong>There is no license installed for this product!</strong><br />';
							echo '<br /></li>';
						}
					?></ul>
				<?php else: ?>
					<p><strong>You do not have any products installed.</strong></p>
				<?php endif; ?>
			<?php endif; ?>

			<?php if ($license_preview): ?>
			<h1>Install license</h1>
			<p>If the license information above looks correct, press the <q>Install</q> button below to
			install your new license file.</p>
			<form action="/license.php" method="post">
				<div>
					<input type="hidden" name="timestamp" value="<?php echo $timestamp; ?>" />
					<input type="hidden" name="action" value="install" />
					<input type="submit" name="install" value="Install" />
				</div>
			</form>
			<?php else: ?>
			<h1>Install new license</h1>
			<p>Install a new license or replace your existing license. Upload your .xml license file using the form below.</p>
			<form action="/license.php" method="post" enctype="multipart/form-data">
				<table summary="Upload license">
					<colgroup>
						<col class="td_column_name" />
						<col class="auto" />
					</colgroup>
					<tr>
						<td><a href="#" onclick="help('upload_license')">[?]</a> <label for="upload_license">Upload .xml license file</label></td>
						<td>
							<input type="hidden" name="MAX_FILE_SIZE" value="100000" />
							<input type="file" name="license_file" id="upload_license" value="" size="44" />
						</td>
					</tr>
					<tr class="button dotted-top">
						<td>&nbsp;</td>
						<td>
							<input type="hidden" name="action" value="upload" />
							<input type="submit" value="Upload" />
						</td>
					</tr>
				</table>
			</form>
			<?php endif; ?>
		</div>

	</div>
</body>
</html>
